## BurnerBurn

BurnerBurn

## Functions

BurnerBurn * | burner_burn_new ()
BurnerBurnResult | burner_burn_record ()
BurnerBurnResult | burner_burn_check ()
BurnerBurnResult | burner_burn_blank ()
BurnerBurnResult | burner_burn_cancel ()
BurnerBurnResult | burner_burn_status ()
void | burner_burn_get_action_string ()

## Types and Values

| BurnerBurn

## Description

## Functions

### burner_burn_new ()

    BurnerBurn *
    burner_burn_new (void);

Creates a new BurnerBurn object.

#### Returns

a BurnerBurn object.

### burner_burn_record ()

    BurnerBurnResult
    burner_burn_record (BurnerBurn *burn,
                        BurnerBurnSession *session,
                        GError **error);

Burns or creates a disc image according to the parameters set in `session` .

#### Parameters

burn | a BurnerBurn |
session | a BurnerBurnSession |
error | a GError |

#### Returns

a BurnerBurnResult. The result of the operation. BURNER_BURN_OK if it was successful.

### burner_burn_check ()

    BurnerBurnResult
    burner_burn_check (BurnerBurn *burn,
                       BurnerBurnSession *session,
                       GError **error);

Checks the integrity of a medium according to the parameters set in `session` . The medium must be inserted in the BurnerDrive set as the source of a BurnerTrackDisc track inserted in `session` .

#### Parameters

burn | a BurnerBurn |
session | a BurnerBurnSession |
error | a GError |

#### Returns

a BurnerBurnResult. The result of the operation. BURNER_BURN_OK if it was successful.

### burner_burn_blank ()

    BurnerBurnResult
    burner_burn_blank (BurnerBurn *burn,
                       BurnerBurnSession *session,
                       GError **error);

Blanks a medium according to the parameters set in `session` . The medium must be inserted in the BurnerDrive set with `burner_burn_session_set_burner()`.

#### Parameters

burn | a BurnerBurn |
session | a BurnerBurnSession |
error | a GError |

#### Returns

a BurnerBurnResult. The result of the operation. BURNER_BURN_OK if it was successful.

### burner_burn_cancel ()

    BurnerBurnResult
    burner_burn_cancel (BurnerBurn *burn,
                        gboolean protect);

Cancels any ongoing operation. If `protect` is TRUE then cancellation will not take place for a "critical" task, a task whose interruption could damage the medium or the drive.

#### Parameters

burn | a BurnerBurn |
protect | a gboolean |

#### Returns

a BurnerBurnResult. The result of the operation. BURNER_BURN_OK if it was successful.

### burner_burn_status ()

    BurnerBurnResult
    burner_burn_status (BurnerBurn *burn,
                        BurnerMedia *media,
                        goffset *isosize,
                        goffset *written,
                        guint64 *rate);

Returns various information about the current operation in `media` (the current media type being burnt), `isosize` (the size of the data being burnt), `written` (the number of bytes having been written so far) and `rate` (the speed at which data are written).

#### Parameters

burn | a BurnerBurn |
media | a BurnerMedia or NULL |
isosize | a goffset or NULL |
written | a goffset or NULL |
rate | a guint64 or NULL |

#### Returns

a BurnerBurnResult. BURNER_BURN_OK if there is an ongoing operation; BURNER_BURN_NOT_READY otherwise.

### burner_burn_get_action_string ()

    void
    burner_burn_get_action_string (BurnerBurn *burn,
                                   BurnerBurnAction action,
                                   gchar **string);

This function returns the current action (in `string` ) of an ongoing operation performed by `burn` . `action` is used to set a default string in case there was no string set by the backend to describe the current operation.

#### Parameters

burn | a BurnerBurn |
action | a BurnerBurnAction |
string | a gchar ** |

## Types and Values

### BurnerBurn

    typedef struct {
    	GObject parent;
    } BurnerBurn;